//
//  TCGBPurchaseVerifyItem.h
//  Gamebase
//
//  Created by NHN on 2020/10/30.
//  Copyright © 2020 NHN Corp. All rights reserved.
//

#ifndef TCGBPurchaseVerifyItem_h
#define TCGBPurchaseVerifyItem_h

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TCGBPurchaseVerifyItem : NSObject

@property (nonatomic, assign) BOOL isVerified;

- (void)sendReport
    NS_SWIFT_NAME(sendReport());

+ (TCGBPurchaseVerifyItem *)sharedPurchaseVerifyItem
    NS_SWIFT_NAME(sharedPurchaseVerifyItem());

+ (TCGBPurchaseVerifyItem *)initializeInstance
    NS_SWIFT_NAME(initializeInstance());

- (void)addNHNCloudIAPProduct:(NSString *)nhnCloudIAPProduct
    NS_SWIFT_NAME(addNHNCloudIAPProduct(_:));

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBPurchaseVerifyItem_h */
